This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

# Changelog for Accounting Library


## [v4.0.0-SNAPSHOT] [r.5.0.0] - 

- Switched JSON management to gcube-jackson [#19115]
- Properly terminated RegexRulesAggregator scheduled thread [#18547]
- Added improved version of calledMethod rewrite for aggregation [#10645]


## [v3.5.0] - 2019-11-06

- Removed usage of deprecated APIs


## [v3.4.0] - 2018-10-10

- Fixed backends factory management


## [v3.3.0] - 2018-04-12

- Added support to retrieve Accounting Regex rules through Service Endpoint [#11230]
- Added LOCAL as additional value of DataType


## [v3.2.0] - 2017-02-15

- Changed pom.xml to use new make-servicearchive directive [#10142]
- Added the possibility to rewrite the calledMethod by matching a regular expression [#10646]


## [v3.1.0] - 2017-10-09

- Refined Jackson support [#9617]
- Changed JobUsageRecord Model [#9646]
- Removed TaskUsageRecord [#9647]


## [v3.0.0] - 2017-06-07

- Added Jackson support on Usage Record model to allow to use it for marshalling and unmarshalling


## [v2.4.1] - 2017-05-02

- Added shutdown() method to pass to document store lib


## [v2.4.0] - 2017-03-16

- Added new Usage Record (StorageStatusRecord)


## [v2.3.0] - 2016-11-07

- Added callerQualifier field to ServiceUsageRecord [#4949]


## [v2.2.0] - 2016-05-18

- Removed dependency over reflection library [#2358]


## [v2.1.0] - 2016-04-08

- Ready for ScopeProvider Removal [#2194]
- Fixed Bug on StorageUsageRecord aggregation [#2316]
- Fixed Bug on recovery of UsageRecords accounted on Fallback


## [v2.0.0] - 2016-02-08

- Separated Accounting Model and generalize solution. the library now depends from document-store-lib [#1746]
- Managed UsageRecords discovered dynamically on classpath [#1295]
- Persistence is re-checked every 10 minutes when Fallback is used [#1349]
- Repetitive thread retry to persist UsageRecords accounted on Fallback [#1352]


## [v1.1.0] - 2015-12-09

- Changed Single and Aggregated classes names to avoid mistakes for the developers.


## [v1.0.0] - 2015-05-27

- First Release

